Package Details: deconz 2.06.00-1

Git Clone URL: https://aur.archlinux.org/deconz.git (read-only, click to copy)
Package Base: deconz
Description: A generic ZigBee monitoring and control tool
Upstream URL: https://www.dresden-elektronik.de
Keywords: zigbee
Licenses: custom:"Copyright (c) dresden elektronik ingenieurtechnik GmbH"
Submitter: jurriaan
Maintainer: jurriaan
Last Packager: jurriaan
Votes: 5
Popularity: 0.001435
First Submitted: 2018-02-07 20:55
Last Updated: 2020-11-19 14:56

Latest Comments

jurriaan commented on 2020-11-13 09:19

@nougad Added aarch64 support.

@broken.pipe I cannot update to 2.05.87 yet since there are no binaries available for that version.

nougad commented on 2020-11-01 21:38

Would it be possible to add aarch64 support? deCONZ provides official aarch64 binaries for debian: http://deconz.dresden-elektronik.de/debian/beta/ - I run them on RPI3 ( https://archlinuxarm.org/platforms/armv8/broadcom/raspberry-pi-3#aarch64installation ) without any problems.

diff --git a/PKGBUILD b/PKGBUILD
index 8310ff4..0197927 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Jurriaan Pruis <email@jurriaanpruis.nl>

 pkgname=deconz
-arch=('x86_64' 'armv6h' 'armv7h')
+arch=('x86_64' 'armv6h' 'armv7h' 'aarch64')
 pkgver=2.05.86
 pkgrel=1
 pkgdesc="A generic ZigBee monitoring and control tool"
@@ -27,10 +27,14 @@ changelog=
 source_x86_64=($pkgname-$pkgver-x86_64.deb::https://deconz.dresden-elektronik.de/ubuntu/beta/$pkgname-$pkgver-qt5.deb)
 source_armv6h=($pkgname-$pkgver-armv6h.deb::https://deconz.dresden-elektronik.de/raspbian/beta/$pkgname-$pkgver-qt5.deb)
 source_armv7h=($pkgname-$pkgver-armv7h.deb::https://deconz.dresden-elektronik.de/raspbian/beta/$pkgname-$pkgver-qt5.deb)
+source_aarch64=(${pkgname}_${pkgver}-debian-stretch-beta_arm64.deb::https://deconz.dresden-elektronik.de/debian/beta/${pkgname}_${pkgver}-debian-stretch-beta_arm64.deb)
+
+
 noextract=()
 sha256sums_x86_64=('4d46993fdac03c7afb2298db06beccf82f941891c3b9c577b8b00551def8f1ab')
 sha256sums_armv6h=('e6fe3f44bb72912ed53a088d363cb7cdc668acac3011eaef5373a6f5b48f4ae7')
 sha256sums_armv7h=('e6fe3f44bb72912ed53a088d363cb7cdc668acac3011eaef5373a6f5b48f4ae7')
+sha256sums_aarch64=('7792f578ea10dd5d550455c19d40255b44b84858660f8afccac99dc14248fbbb')

 package() {
   cd "${srcdir}"

farnsworth commented on 2020-09-20 10:35

same issue as previous one: SHA256 checksum for at least x86_64 is no more matching deb file was updated on 19/09

cubic commented on 2020-06-04 09:17

Looks like the current SHA256 checksum for at least x86_64 isn't matching

==> Validating source_x86_64 files with sha256sums... deconz-2.05.77-x86_64.deb ... FAILED ==> ERROR: One or more files did not pass the validity check!

ChaosKid42 commented on 2020-02-27 10:03

I see the following error:

==> Making package: deconz 2.05.74-1 (Thu Feb 27 11:03:09 2020) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found deconz-2.05.74-armv7h.deb ==> Validating source_armv7h files with sha256sums... deconz-2.05.74-armv7h.deb ... FAILED ==> ERROR: One or more files did not pass the validity check!

LukyLX commented on 2019-11-19 07:26

The .deb (for Ubuntu 64 bit) can actually be found at http://deconz.dresden-elektronik.de/ubuntu/beta/deconz-2.05.70-qt5.deb .

It seems tat temporarily only http is supported for their new subdomain so please beware of more url changes in the near future.

At that location I also see a package for 2.05.71 although I don't see an official release at github yet ;-)

cubic commented on 2019-11-16 14:51

The .deb seems to be relocated, it gives 404 error.

==> ERROR: Failure while downloading https://www.dresden-elektronik.de/deconz/ubuntu/beta/deconz-2.05.70-qt5.deb Aborting... Error downloading sources: deconz

jeena commented on 2018-10-08 20:05

Thanks for this package, with it I was able to flash a new version of the firmware from my laptop while it didn't work on the Raspberry Pi iwth hass.io

I wanted to try the qt app but it seems that the Qt versions are not compatible:

➜ jeena@William ~ deCONZ
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
libpng warning: iCCP: known incorrect sRGB profile
Cannot mix incompatible Qt library (version 0x50b02) with this library (version 0x50b01)
[1] 4033 abort (core dumped) deCONZ